#
# spec file for package telnet (Version 1.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         telnet
License:      BSD
Group:        Productivity/Networking/Other
Provides:     nkitb:/usr/bin/telnet
Autoreqprov:  on
Version:      1.0
Release:      530
Summary:      A client program for the telnet remote login protocol
Requires:     netcfg
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       telnet-bsd-%{version}.tar.bz2
Source1:      telnet.xinetd
Patch:        telnet-bsd-%{version}.diff
Patch2:       telnet-bsd-%{version}-strncpy.diff
Patch3:       telnet-bsd-1.0-SLC+ENV-fix.diff
Patch4:       telnet-owl-env-export.diff

%description
Telnet is an old protocol for logging into remote systems.  It is
rarely used, since the transfer is not encrypted (ssh is mostly used
these days).  The telnet client is often used for debugging other
network services. The command

telnet localhost 25

connects to the local smtp server, for example.



%package server
Version:      1.0
Release:      529
Summary:      Server program for the telnet remote login protocol
Group:        Productivity/Networking/Other
Requires:     netcfg
Provides:     nkitserv:/usr/sbin/in.telnetd
Obsoletes:    nkitserv
Autoreqprov:  on

%description server
Telnet is a popular protocol for logging into remote systems. This
package provides the telnet daemon, which will allow remote logins into
this machine.



%prep
%setup -n telnet-bsd-%{version}
%patch
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/telnet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README NEWS
/usr/bin/telnet
%doc %{_mandir}/man1/telnet.1.gz

%files server
%defattr(-,root,root)
%doc COPYING ChangeLog README NEWS
%doc %{_mandir}/man8/in.telnetd.8.gz
%doc %{_mandir}/man8/telnetd.8.gz
%doc %{_mandir}/man5/issue.net.5.gz
%config(noreplace) /etc/xinetd.d/telnet
/usr/sbin/in.telnetd

%changelog -n telnet
* Tue May 31 2005 - mmj@suse.de
- Add additional patch for ENV overflow [#66128]
* Thu Feb 24 2005 - mmj@suse.de
- Fix SLC+ENV overflow [#66128]
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Fri Mar 07 2003 - ro@suse.de
- remove empty server_args line in xinetd config file
* Fri Jan 24 2003 - mmj@suse.de
- Dont use permission 755 for the xinetd file
* Fri Jan 24 2003 - mmj@suse.de
- Add xinetd configuration file
* Wed Dec 04 2002 - mmj@suse.de
- Fix one version of strcpy, gotten from the OpenBSD tree
* Wed Feb 13 2002 - mmj@suse.de
- Increased the temporary buffer size in telnet to fix problem
  with long hostnames when telnetting to a Solaris box.
* Tue Aug 14 2001 - kukuk@suse.de
- Add more fixes for possible security problems
* Fri Jul 27 2001 - kukuk@suse.de
- Add fix for possible problems with buffer overruns
* Mon Apr 02 2001 - kukuk@suse.de
- Add Obsolete for nkitserv
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Mar 13 2001 - kukuk@suse.de
- Initial package, split from nkitb
